// RSZVB Measurement ExampleDlg.h : header file
//

#include "resource.h"
#include "rszvb.h"

#if !defined(AFX_RSZVBMEASUREMENTEXAMPLEDLG_H__7B7362CB_C43E_487D_B482_B3D26F8A4539__INCLUDED_)
#define AFX_RSZVBMEASUREMENTEXAMPLEDLG_H__7B7362CB_C43E_487D_B482_B3D26F8A4539__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CRSZVBMeasurementExampleDlg dialog

class CRSZVBMeasurementExampleDlg : public CDialog
{
// Construction
public:
	CRSZVBMeasurementExampleDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CRSZVBMeasurementExampleDlg)
	enum { IDD = IDD_RSZVBMEASUREMENTEXAMPLE_DIALOG };
	CEdit	m_CWFrequency;
	CEdit	m_StopPower;
	CEdit	m_StopFrequency;
	CEdit	m_StartPower;
	CEdit	m_StartFrequency;
	CEdit	m_SourcePower;
	CButton	m_FileButton;
	CButton	m_Generate;
	CString	m_FileExport;
	BOOL	m_Query;
	BOOL	m_Reset;
	CString	m_ResName;
	int		m_Sin;
	int		m_Sout;
	int		m_SweepType;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CRSZVBMeasurementExampleDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CRSZVBMeasurementExampleDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnFileButton();
	afx_msg void OnGenerate();
	afx_msg void OnSelchangeSweepType();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_RSZVBMEASUREMENTEXAMPLEDLG_H__7B7362CB_C43E_487D_B482_B3D26F8A4539__INCLUDED_)
